"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Header = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _react = _interopRequireDefault(require("react"));

require("react-simple-flex-grid/lib/main.css");

require("./Header.scss");

var PropTypes = _interopRequireWildcard(require("prop-types"));

var _FlyoutWithIcons = require("@scripty/react-navigations/lib/FlyoutWithIcons");

var _Breadcrumbs = require("@scripty/react-navigations/lib/Breadcrumbs");

var _FlyoutUserWithIcons = require("@scripty/react-navigations/lib/FlyoutUserWithIcons");

var _reactSimpleFlexGrid = require("react-simple-flex-grid");

var Header = function Header(props) {
  var routes = props.routes,
      onClick = props.onClick,
      selectedKeys = props.selectedKeys,
      userMenuRoutes = props.userMenuRoutes,
      user = props.user,
      layout = props.layout,
      showBreadcrumbs = props.showBreadcrumbs,
      logo = props.logo;
  var colLayout = {
    logo: {
      xs: 2,
      sm: 2,
      md: 2,
      lg: 2,
      xl: 2
    },
    flyout: {
      xs: {
        span: 0
      },
      sm: {
        span: 0
      },
      md: {
        span: 0
      },
      lg: 9,
      xl: 9
    },
    extra: {
      xs: {
        span: 0
      },
      sm: {
        span: 0
      },
      md: {
        span: 0
      },
      lg: 1,
      xl: 1
    },
    breadcrumbs: {
      xs: 12,
      sm: 12,
      md: 12,
      lg: 12,
      xl: 12
    }
  };

  if (layout === 'sized') {
    colLayout = {
      logo: {
        xs: 2,
        sm: 2,
        md: 2,
        lg: 2,
        xl: {
          span: 1,
          offset: 1
        }
      },
      flyout: {
        xs: {
          span: 0
        },
        sm: {
          span: 0
        },
        md: {
          span: 0
        },
        lg: {
          span: 0
        },
        xl: {
          span: 5,
          offset: 1
        }
      },
      extra: {
        xs: {
          span: 0
        },
        sm: {
          span: 0
        },
        md: {
          span: 0
        },
        lg: 10,
        xl: {
          span: 1,
          offset: 2
        }
      },
      breadcrumbs: {
        xs: 12,
        sm: 12,
        md: 12,
        lg: 12,
        xl: {
          span: 8,
          offset: 2
        }
      }
    };
  }

  var getBreadcrumbs = function getBreadcrumbs() {
    if (showBreadcrumbs) {
      return /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Row, {
        className: 'breadcrumbs-container'
      }, /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Col, colLayout.breadcrumbs, /*#__PURE__*/_react["default"].createElement(_Breadcrumbs.Breadcrumbs, {
        routes: [].concat((0, _toConsumableArray2["default"])(routes), (0, _toConsumableArray2["default"])(userMenuRoutes)),
        selectedKeys: selectedKeys,
        onClick: onClick
      })));
    }
  };

  return /*#__PURE__*/_react["default"].createElement("header", {
    className: 'header'
  }, /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Row, null, /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Col, colLayout.logo, /*#__PURE__*/_react["default"].createElement("div", {
    className: 'logo'
  }, logo)), /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Col, colLayout.flyout, /*#__PURE__*/_react["default"].createElement(_FlyoutWithIcons.FlyoutWithIcons, {
    routes: routes,
    selectedKeys: selectedKeys,
    onClick: onClick
  })), /*#__PURE__*/_react["default"].createElement(_reactSimpleFlexGrid.Col, colLayout.extra, /*#__PURE__*/_react["default"].createElement("div", {
    className: 'extra'
  }, /*#__PURE__*/_react["default"].createElement(_FlyoutUserWithIcons.FlyoutUserWithIcons, {
    loginPath: '/login',
    user: user,
    routes: userMenuRoutes,
    selectedKeys: selectedKeys,
    onClick: onClick
  })))), getBreadcrumbs());
};

exports.Header = Header;
Header.defaultProps = {
  onClick: function onClick() {},
  routes: [],
  userMenuRoutes: [],
  selectedKeys: [],
  user: {
    loggedIn: false
  },
  layout: 'fullpage',
  showBreadcrumbs: false,
  logo: 'Logo'
};
Header.propTypes = {
  routes: PropTypes.array,
  userMenuRoutes: PropTypes.array,
  selectedKeys: PropTypes.array,
  user: PropTypes.object,
  onClick: PropTypes.func,
  layout: PropTypes.string,
  showBreadcrumbs: PropTypes.bool,
  logo: PropTypes.oneOfType(PropTypes.object, PropTypes.string)
};