"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getActiveRoutes = exports.getSelectedKeys = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _reactRouterDom = require("react-router-dom");

var getSelectedKeys = function getSelectedKeys(routes, location) {
  var parentPath = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  var selectedKeys = [];
  routes.forEach(function (route) {
    var currentPath = parentPath + route.path;
    var match = (0, _reactRouterDom.matchPath)(location.pathname, {
      path: currentPath,
      exact: route.exact || false,
      strict: route.strict || false
    });

    if (match) {
      selectedKeys.push(route.key);
    }

    var subitem = route.submenu || route.group;

    if (subitem) {
      selectedKeys = [].concat((0, _toConsumableArray2["default"])(selectedKeys), (0, _toConsumableArray2["default"])(getSelectedKeys(subitem, location, route.group ? parentPath : currentPath)));
    }
  });
  return selectedKeys;
};

exports.getSelectedKeys = getSelectedKeys;

var getActiveRoutes = function getActiveRoutes(routes, location) {
  var parentPath = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  var activeRoutes = [];
  routes.forEach(function (route) {
    var currentPath = parentPath + route.path;
    var match = (0, _reactRouterDom.matchPath)(location.pathname, {
      path: currentPath,
      exact: route.exact || false,
      strict: route.strict || false
    });
    route.currentPath = currentPath;

    if (match) {
      activeRoutes.push(route);
    }

    var subitem = route.submenu || route.group;

    if (subitem) {
      activeRoutes = [].concat((0, _toConsumableArray2["default"])(activeRoutes), (0, _toConsumableArray2["default"])(getActiveRoutes(subitem, location, route.group ? parentPath : currentPath)));
    }
  });
  return activeRoutes;
};

exports.getActiveRoutes = getActiveRoutes;